// ProgDemoView.h : Schnittstelle der Klasse CProgDemoView
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PROGDEMOVIEW_H__976BA4DB_43E6_42AD_AAFE_3E5CFC2E4C0B__INCLUDED_)
#define AFX_PROGDEMOVIEW_H__976BA4DB_43E6_42AD_AAFE_3E5CFC2E4C0B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CProgDemoView : public CFormView
{
protected: // Nur aus Serialisierung erzeugen
	CProgDemoView();
	DECLARE_DYNCREATE(CProgDemoView)

public:
	//{{AFX_DATA(CProgDemoView)
	enum { IDD = IDD_PROGDEMO_FORM };
	CComboBox	m_cbProjectList;
	int		m_nChannel;
	CString	m_strCOMPort;
	//}}AFX_DATA

// Attribute
public:
	CProgDemoDoc* GetDocument();
	void SetStatusBarText();

	CString m_strStatusBarText;

	HINSTANCE hinstLib;

// Operationen
public:
	void GetProjects();
	CString GetRecentProject();

// Überladungen
	// Vom Klassenassistenten generierte Überladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CProgDemoView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Unterstützung
	virtual void OnInitialUpdate(); // das erste mal nach der Konstruktion aufgerufen
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementierung
public:
	virtual ~CProgDemoView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generierte Message-Map-Funktionen
protected:
	//{{AFX_MSG(CProgDemoView)
	afx_msg void OnSetChannel();
	afx_msg void OnProgramAll();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnAppExit();
	afx_msg void OnAddFile();
	afx_msg void OnDeleteFile();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // Testversion in ProgDemoView.cpp
inline CProgDemoDoc* CProgDemoView::GetDocument()
   { return (CProgDemoDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fügt unmittelbar vor der vorhergehenden Zeile zusätzliche Deklarationen ein.

#endif // !defined(AFX_PROGDEMOVIEW_H__976BA4DB_43E6_42AD_AAFE_3E5CFC2E4C0B__INCLUDED_)
